tree< T, tree_node_allocator >::fixed_depth_iterator Class Reference

Iterator which traverses only the nodes at a given depth from the root. More...

Inheritance diagram for tree< T, tree_node_allocator >::fixed_depth_iterator:

## Public Member Functions

| fixed_depth_iterator (tree_node *)
| fixed_depth_iterator (const iterator_base &)
| fixed_depth_iterator (const sibling_iterator &)
| fixed_depth_iterator (const fixed_depth_iterator &)
bool | operator== (const fixed_depth_iterator &) const
bool | operator!= (const fixed_depth_iterator &) const
fixed_depth_iterator & | operator++ ()
fixed_depth_iterator & | operator-- ()
fixed_depth_iterator | operator++ (int)
fixed_depth_iterator | operator-- (int)
fixed_depth_iterator & | operator+= (unsigned int)
fixed_depth_iterator & | operator-= (unsigned int)
| fixed_depth_iterator (tree_node *)
| fixed_depth_iterator (const iterator_base &)
| fixed_depth_iterator (const sibling_iterator &)
| fixed_depth_iterator (const fixed_depth_iterator &)
bool | operator== (const fixed_depth_iterator &) const
bool | operator!= (const fixed_depth_iterator &) const
fixed_depth_iterator & | operator++ ()
fixed_depth_iterator & | operator-- ()
fixed_depth_iterator | operator++ (int)
fixed_depth_iterator | operator-- (int)
fixed_depth_iterator & | operator+= (unsigned int)
fixed_depth_iterator & | operator-= (unsigned int)
| fixed_depth_iterator (tree_node *)
| fixed_depth_iterator (const iterator_base &)
| fixed_depth_iterator (const sibling_iterator &)
| fixed_depth_iterator (const fixed_depth_iterator &)
bool | operator== (const fixed_depth_iterator &) const
bool | operator!= (const fixed_depth_iterator &) const
fixed_depth_iterator & | operator++ ()
fixed_depth_iterator & | operator-- ()
fixed_depth_iterator | operator++ (int)
fixed_depth_iterator | operator-- (int)
fixed_depth_iterator & | operator+= (unsigned int)
fixed_depth_iterator & | operator-= (unsigned int)

## Data Fields

tree_node * | first_parent_

## Detailed Description

### template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::fixed_depth_iterator

Iterator which traverses only the nodes at a given depth from the root.

Definition at line 205 of file lib/tree.hh.

The documentation for this class was generated from the following files:

- lib/tree.hh
- libofx-0.9.5/lib/tree.hh
- tar-pax-libofx/lib/tree.hh